@import url('https://fonts.cdnfonts.com/css/toothless');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    background-color: #bbb;
    min-height: 100vh;
}

.navbar{
    position: relative;
    width: 100%;
    height: 4em;
    background-color: black;
    padding: 0 1.5em;
}

.navbar .logo{
    position: absolute;
    color: white;
    font-size: 3em;
    font-family: 'Toothless', serif;
    line-height: 1.5em;
    text-decoration: none;
    cursor: pointer;
}

.list{
    display: flex;
    list-style-type: none;
    float: right;
    line-height: 4em;
}

.list li{
    margin-right: 3em;
}

.list li a{
    position: relative;
    padding: .5em 1em;
    color: white;
    border: 1px solid white;
    border-radius: .2em;
    text-decoration: none;
    transition: 1s;
    z-index: 100;
    overflow: hidden;
}

.list li a:hover{
    box-shadow: 0 0 6px 2px rgba(255, 255, 255, .5);
}

.label i, input{
    display: none;
}


@media(max-width: 720px){

    .checkbtn{
        line-height: 2em;
        font-size: 2em;
        float: right;
        cursor: pointer;
    }

    .checkbtn i{
        color: white;
    }

    .list{
        display: block;
        position: absolute;
        top: 4em;
        left: -100%;
        width: 100%;
        background-color: rgba(0, 0, 0, .8);
        transition: .5s;
    }
    
    .list li{
        margin: 0;
        height: 4em;
    }
    
    .list li a{
        display: inline-block;
        width: 100%;
        height: 100%;
        overflow: hidden;
        padding: 0;
        padding-left: 1.5em;
        border-radius: 0;
    }

    .list li:hover{
        background-color: #444;
    }

    #check:checked ~ .list{
        left: 0;
    }
}
